package com.sifang.modules.htySap.vo;

public class ApplyTbResponse {
    private String EV_TYPE;
    private String EV_MESSAGE;

    private String ET_OUT;

    private CgshRes cgshRes;

    public static class CgshRes{
        private String  BANFN ;
        private String  BNFPO ;
        private String  ZZOASQ;
        private String  ZZOASQH;
        private String  BSART;
        private String  KNTTP;
        private String  PSTYP;
        private String  MATNR;
        private String  TXZ01;
        private String  MENGE;
        private String  MEINS;
        private String  BADAT;
        private String  LFDAT;
        private String  WERKS;
        private String  LGORT;
        private String  EKGRP;
        private String  EKORG;
        private String  AFNAM;
        private String  LIFNR;
        private String  ZZSQBM;
        private String  ZZZJLY;
        private String  PREIS;
        private String  PEINH;
        private String  WAERS;
        private String  ZZMATPP;
        private String  MATKL;
        private String  ZZMATTH;
        private String  ZZXMMC;
        private String  ZZXHGG;
        private String  SAKTO;
        private String  KOSTL;
        private String  ANLN1;
        private String  ANLN2;
        private String  AUFNR;
        private String  AUFPL;
        private String  PS_PSP_PNR;
        private String  NPLNR;
        private String  VBELN;
        private String  VBELP;
        private String  FRGKZ;
        private String  LOEKZ;
        private String  ERDAT;
        private String  LONG;
        private String  KTEXT;
        private String  TXT20;
        private String  POST1;
        private String  POSID;
        private String  VORNR;
        private String  ATTRIBUTEVARCHAR24;
        private String  REMARK;

        public String getBANFN() {
            return BANFN;
        }

        public void setBANFN(String BANFN) {
            this.BANFN = BANFN;
        }

        public String getBNFPO() {
            return BNFPO;
        }

        public void setBNFPO(String BNFPO) {
            this.BNFPO = BNFPO;
        }

        public String getZZOASQ() {
            return ZZOASQ;
        }

        public void setZZOASQ(String ZZOASQ) {
            this.ZZOASQ = ZZOASQ;
        }

        public String getZZOASQH() {
            return ZZOASQH;
        }

        public void setZZOASQH(String ZZOASQH) {
            this.ZZOASQH = ZZOASQH;
        }

        public String getBSART() {
            return BSART;
        }

        public void setBSART(String BSART) {
            this.BSART = BSART;
        }

        public String getKNTTP() {
            return KNTTP;
        }

        public void setKNTTP(String KNTTP) {
            this.KNTTP = KNTTP;
        }

        public String getPSTYP() {
            return PSTYP;
        }

        public void setPSTYP(String PSTYP) {
            this.PSTYP = PSTYP;
        }

        public String getMATNR() {
            return MATNR;
        }

        public void setMATNR(String MATNR) {
            this.MATNR = MATNR;
        }

        public String getTXZ01() {
            return TXZ01;
        }

        public void setTXZ01(String TXZ01) {
            this.TXZ01 = TXZ01;
        }

        public String getMENGE() {
            return MENGE;
        }

        public void setMENGE(String MENGE) {
            this.MENGE = MENGE;
        }

        public String getMEINS() {
            return MEINS;
        }

        public void setMEINS(String MEINS) {
            this.MEINS = MEINS;
        }

        public String getBADAT() {
            return BADAT;
        }

        public void setBADAT(String BADAT) {
            this.BADAT = BADAT;
        }

        public String getLFDAT() {
            return LFDAT;
        }

        public void setLFDAT(String LFDAT) {
            this.LFDAT = LFDAT;
        }

        public String getWERKS() {
            return WERKS;
        }

        public void setWERKS(String WERKS) {
            this.WERKS = WERKS;
        }

        public String getLGORT() {
            return LGORT;
        }

        public void setLGORT(String LGORT) {
            this.LGORT = LGORT;
        }

        public String getEKGRP() {
            return EKGRP;
        }

        public void setEKGRP(String EKGRP) {
            this.EKGRP = EKGRP;
        }

        public String getEKORG() {
            return EKORG;
        }

        public void setEKORG(String EKORG) {
            this.EKORG = EKORG;
        }

        public String getAFNAM() {
            return AFNAM;
        }

        public void setAFNAM(String AFNAM) {
            this.AFNAM = AFNAM;
        }

        public String getLIFNR() {
            return LIFNR;
        }

        public void setLIFNR(String LIFNR) {
            this.LIFNR = LIFNR;
        }

        public String getZZSQBM() {
            return ZZSQBM;
        }

        public void setZZSQBM(String ZZSQBM) {
            this.ZZSQBM = ZZSQBM;
        }

        public String getZZZJLY() {
            return ZZZJLY;
        }

        public void setZZZJLY(String ZZZJLY) {
            this.ZZZJLY = ZZZJLY;
        }

        public String getPREIS() {
            return PREIS;
        }

        public void setPREIS(String PREIS) {
            this.PREIS = PREIS;
        }

        public String getPEINH() {
            return PEINH;
        }

        public void setPEINH(String PEINH) {
            this.PEINH = PEINH;
        }

        public String getWAERS() {
            return WAERS;
        }

        public void setWAERS(String WAERS) {
            this.WAERS = WAERS;
        }

        public String getZZMATPP() {
            return ZZMATPP;
        }

        public void setZZMATPP(String ZZMATPP) {
            this.ZZMATPP = ZZMATPP;
        }

        public String getMATKL() {
            return MATKL;
        }

        public void setMATKL(String MATKL) {
            this.MATKL = MATKL;
        }

        public String getZZMATTH() {
            return ZZMATTH;
        }

        public void setZZMATTH(String ZZMATTH) {
            this.ZZMATTH = ZZMATTH;
        }

        public String getZZXMMC() {
            return ZZXMMC;
        }

        public void setZZXMMC(String ZZXMMC) {
            this.ZZXMMC = ZZXMMC;
        }

        public String getZZXHGG() {
            return ZZXHGG;
        }

        public void setZZXHGG(String ZZXHGG) {
            this.ZZXHGG = ZZXHGG;
        }

        public String getSAKTO() {
            return SAKTO;
        }

        public void setSAKTO(String SAKTO) {
            this.SAKTO = SAKTO;
        }

        public String getKOSTL() {
            return KOSTL;
        }

        public void setKOSTL(String KOSTL) {
            this.KOSTL = KOSTL;
        }

        public String getANLN1() {
            return ANLN1;
        }

        public void setANLN1(String ANLN1) {
            this.ANLN1 = ANLN1;
        }

        public String getANLN2() {
            return ANLN2;
        }

        public void setANLN2(String ANLN2) {
            this.ANLN2 = ANLN2;
        }

        public String getAUFNR() {
            return AUFNR;
        }

        public void setAUFNR(String AUFNR) {
            this.AUFNR = AUFNR;
        }

        public String getAUFPL() {
            return AUFPL;
        }

        public void setAUFPL(String AUFPL) {
            this.AUFPL = AUFPL;
        }

        public String getPS_PSP_PNR() {
            return PS_PSP_PNR;
        }

        public void setPS_PSP_PNR(String PS_PSP_PNR) {
            this.PS_PSP_PNR = PS_PSP_PNR;
        }

        public String getNPLNR() {
            return NPLNR;
        }

        public void setNPLNR(String NPLNR) {
            this.NPLNR = NPLNR;
        }

        public String getVBELN() {
            return VBELN;
        }

        public void setVBELN(String VBELN) {
            this.VBELN = VBELN;
        }

        public String getVBELP() {
            return VBELP;
        }

        public void setVBELP(String VBELP) {
            this.VBELP = VBELP;
        }

        public String getFRGKZ() {
            return FRGKZ;
        }

        public void setFRGKZ(String FRGKZ) {
            this.FRGKZ = FRGKZ;
        }

        public String getLOEKZ() {
            return LOEKZ;
        }

        public void setLOEKZ(String LOEKZ) {
            this.LOEKZ = LOEKZ;
        }

        public String getERDAT() {
            return ERDAT;
        }

        public void setERDAT(String ERDAT) {
            this.ERDAT = ERDAT;
        }

        public String getLONG() {
            return LONG;
        }

        public void setLONG(String LONG) {
            this.LONG = LONG;
        }

        public String getKTEXT() {
            return KTEXT;
        }

        public void setKTEXT(String KTEXT) {
            this.KTEXT = KTEXT;
        }

        public String getTXT20() {
            return TXT20;
        }

        public void setTXT20(String TXT20) {
            this.TXT20 = TXT20;
        }

        public String getPOST1() {
            return POST1;
        }

        public void setPOST1(String POST1) {
            this.POST1 = POST1;
        }

        public String getPOSID() {
            return POSID;
        }

        public void setPOSID(String POSID) {
            this.POSID = POSID;
        }

        public String getVORNR() {
            return VORNR;
        }

        public void setVORNR(String VORNR) {
            this.VORNR = VORNR;
        }

        public String getATTRIBUTEVARCHAR24() {
            return ATTRIBUTEVARCHAR24;
        }

        public void setATTRIBUTEVARCHAR24(String ATTRIBUTEVARCHAR24) {
            this.ATTRIBUTEVARCHAR24 = ATTRIBUTEVARCHAR24;
        }

        public String getREMARK() {
            return REMARK;
        }

        public void setREMARK(String REMARK) {
            this.REMARK = REMARK;
        }
    }

    public String getEV_TYPE() {
        return EV_TYPE;
    }

    public void setEV_TYPE(String EV_TYPE) {
        this.EV_TYPE = EV_TYPE;
    }

    public String getEV_MESSAGE() {
        return EV_MESSAGE;
    }

    public void setEV_MESSAGE(String EV_MESSAGE) {
        this.EV_MESSAGE = EV_MESSAGE;
    }

    public String getET_OUT() {
        return ET_OUT;
    }

    public void setET_OUT(String ET_OUT) {
        this.ET_OUT = ET_OUT;
    }

    public CgshRes getCgshRes() {
        return cgshRes;
    }

    public void setCgshRes(CgshRes cgshRes) {
        this.cgshRes = cgshRes;
    }

    /*{
        "EV_TYPE":"S",
            "EV_MESSAGE":"数据查询成功",
            "ET_OUT":
[
        {
            "BANFN":"3000169197",
                "BNFPO":20,
                "ZZOASQ":"PR2023111400120",
                "ZZOASQH":2,
                "BSART":"Z006",
                "KNTTP":"K",
                "PSTYP":"0",
                "MATNR":"",
                "TXZ01":"视觉设计年框供应商招标申请",
                "MENGE":3.000,
                "MEINS":"个",
                "BADAT":"2023-11-14",
                "LFDAT":"2023-11-24",
                "WERKS":"2400",
                "LGORT":"",
                "EKGRP":"R04",
                "EKORG":"2400",
                "AFNAM":"文朗吉雅",
                "LIFNR":"",
                "ZZSQBM":"010C06",
                "ZZZJLY":"12",
                "PREIS":0,
                "PEINH":1,
                "WAERS":"CNY",
                "ZZMATPP":"",
                "MATKL":"920000",
                "ZZMATTH":"",
                "ZZXMMC":"",
                "ZZXHGG":"",
                "SAKTO":"7003440000",
                "KOSTL":"2400L090",
                "ANLN1":"",
                "ANLN2":"",
                "AUFNR":"",
                "AUFPL":0,
                "PS_PSP_PNR":0,
                "NPLNR":"",
                "VBELN":"",
                "VBELP":0,
                "FRGKZ":"Z",
                "LOEKZ":"",
                "ERDAT":"2024-01-08",
                "LONG":"",
                "KTEXT":"综合管理部",
                "TXT20":"宣传费",
                "POST1":"",
                "POSID":"",
                "VORNR":"",
                "ATTRIBUTEVARCHAR24":"",
                "REMARK":""
        }*/
}
